Subject: Re: [netatalk-admins] Netatalk server munging GIFs and JPGs ser

From: [email-masked] (Stefan Barth)
Date: Die, 10 Nov 98 08:14:50 +0100

Hi,

Glenn wrote:
>...noticing someone mentioned
>something to do with the way neta-talk had been configured to handle cr/lf

I´m one of those who had problems with apparently two different phenomena, both of which resulted in image file corruption.
One of them almost certainly had to do with the conversion mentioned above. I set up a gateway to a novell-based network using a linux box. The required novell volumes are mounted by the linux box acting as a client to the novell server. Access was supposed to happen via ftp. (I figured I would run into trouble with the novell admin if my linux box were to start making .AppleDouble folders there)
Nevertheless by a leftover link from my experiments somebody was able to go to the novell volume via the chooser and transfer files, which then were corrupted (e.g. a pdf file being totally blank). The same file transferred via ftp was ok. 
That was a real eye opener for me. Looking back it seems logical, but at the time I didn´t realize netatalk did the conversion on the fly while transferring files! (Sorry for being so daft...)
In the meantime a got a current SUSE Linux distribution with a netatalk version where the cr/lf conversion is not compiled in, which spared me the compilation (I´ve had problems with that before). There appears to be no problem now.

Sincerely, Stefan Barth